## python-gearman 2.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-gearman.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-gearman.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-gearman"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-gearman"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-gearman (2.0.2-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:10:12 +0000

python-gearman (2.0.2-2) unstable; urgency=low

  * Bump dependency on python-sphinx to 1.0 and use the upstream docs/conf.py
  * Bump standards version to 3.9.2, no changes required.
  * Run tests during compilation
    + Add the tests directory from upstream git repository
    + Add build-dependency on python-unittest2 for python2.6
  * Drop the obsolete ${python:Breaks}

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Fri, 06 May 2011 23:23:11 +0200

python-gearman (2.0.2-1) unstable; urgency=low

  * Initial packaging (Closes: #610654)

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Thu, 20 Jan 2011 19:49:12 +0100

=== debian/control ===
Source: python-gearman
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-2), python-setuptools, python-sphinx (>= 1), python-unittest2
Standards-Version: 3.9.2
Homepage: http://github.com/Yelp/python-gearman/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-gearman/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-gearman/trunk/
X-Python-Version: >= 2.4

Package: python-gearman
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: libjs-jquery
Description: Python interface to the Gearman system
 Gearman is a system to farm out work to other machines, dispatching function 
 calls to machines that are better suited to do work, to do work in parallel, 
 to load balance lots of functions calls, or to call functions between
 languages.
 .
 This package contains a Python implementation of the Gearman protocol, allowing 
 Python scripts to send and receive Gearman jobs.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS :=  $(shell pyversions -r)

%:
	dh --with python2 $@

override_dh_auto_build:
	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py build; \
	done
	$(MAKE) -C docs html

override_dh_auto_install:
	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/python-gearman --install-layout=deb; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for py in $(PYVERS); do \
		PYTHONPATH="." $$py /usr/bin/unit2 discover -s tests -p '*.py'; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

override_dh_installdocs:
	dh_installdocs -Xjquery.js

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -Xhtml

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/gearman/gearman-(.*).tar.gz
